Summary: An implementation of the lint program
Name: lclint
Version: 2.4b
Release: 2
Source: ftp://larch.lcs.mit.edu/pub/Larch/lclint/lclint.src.tar.gz
Source1: lclint.wmconfig
URL: http://www.sds.lcs.mit.edu/lclint/
Group: Development/Tools
Copyright: GPL
BuildRoot: /var/tmp/lclint-root

%description 
Scans C source code for mistakes and bad style.

%changelog

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>

- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>

- updated to newest version
- added buildroot
- added wmconfig


* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>

- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>

- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>

- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>

- built the package

%prep
%setup  -n lclint-2.3i

./configure --prefix $RPM_BUILD_ROOT/usr/lib/lclint 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/lclint/bin
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
mkdir -p $RPM_BUILD_ROOT/usr/lib/lclint/bin/lclint
mkdir -p $RPM_BUILD_ROOT/usr/bin/lclint

install -d $RPM_BUILD_ROOT/usr/lib/lclint/bin
make EMACSLIBDIR=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp install
install -m 644 -o root -g root $RPM_SOURCE_DIR/lclint.wmconfig  $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint

cp -rf $RPM_BUILD_ROOT/usr/lib/lclint/bin/lclint $RPM_BUILD_ROOT/usr/bin/lclint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README doc
/usr/bin/lclint
/usr/share/emacs/site-lisp/lclint.el
/usr/share/emacs/site-lisp/lclint.elc
/usr/lib/lclint
